BURST(1)

NAME
burst - explode digests into messages

SYNOPSIS

burst [+folder] [msgs] [-inplace | -noinplace] [-mime | -nomime] [-automime] [-quiet | -noquiet] [-verbose | -noverbose] [-version] [-help]

DESCRIPTION
Burst considers the specified messages in the named folder to be Internet digests, and explodes them in that folder.

If -inplace is given, each digest is replaced by the “table of contents” for the digest (the original digest is removed). Burst then renumbers all of the messages following the digest in the folder to make room for each of the messages contained within the digest. These messages are placed immediately after the digest.

If -noinplace is given, each digest is preserved, no table of contents is produced, and the messages contained within the digest are placed at the end of the folder. Other messages are not tampered with in any way.

If -automime is given, burst will try to determine if the message is formatted with MIME and contains MIME parts of type “message/rfc822”. If it does, it will burst the message using MIME formatting rules. The -mime switch can be used to enforce the use of MIME formatting. The -nomime switch will force burst to use RFC 934 rules.

The -quiet switch directs burst to be silent about reporting messages that are not in digest format.

The -verbose switch directs burst to tell the user the general actions that it is taking to explode the digest.

It turns out that burst works equally well on forwarded messages and blind-carbon-copies as on Internet digests, provided that the former two were generated by forw or send.

FILES

$HOME/.mh_profile
    The user's profile.

PROFILE COMPONENTS
Path:
    To determine the user's nmh directory.
Current-Folder:
    To find the default current folder.
Msg-Protect:
    To set mode when creating a new message.

SEE ALSO
inc(1), msh(1), pack(1)

Proposed Standard for Message Encapsulation (RFC 934)

DEFAULTS
+folder
    The current folder.
msgs
    The current message.
-noinplace
-automime
-noquiet
-noverbose

CONTEXT
If a folder is given, it will become the current folder. If -inplace is given, then the first message burst becomes the current message. This leaves the context ready for a show of the table of contents of the digest, and a next to see the first message of the digest. If -noinplace is given, then the first message extracted from the first digest burst becomes the current message. This leaves the context in a similar, but not identical, state to the context achieved when using -inplace.

BUGS
The burst program enforces a limit on the number of messages which may be burst from a single message. This number is on the order of 1000 messages. There is usually no limit on the number of messages which may reside in the folder after the bursting.

Although burst uses a sophisticated algorithm to determine where one encapsulated message ends and another begins, not all digestifying programs use an encapsulation algorithm. In degenerate cases, this usually results in burst finding an encapsulation boundary prematurely and splitting a single encapsulated message into two or more messages. These erroneous digestifying programs should be fixed.

Furthermore, any text which appears after the last encapsulated message is not placed in a separate message by burst. In the case of digestified messages, this text is usually an “End of digest” string. As a result of this possibly un-friendly behavior on the part of burst, note that when the -inplace option is used, this trailing information is lost. In practice, this is not a problem since correspondents usually place remarks in text prior to the first encapsulated message, and this information is not lost.